// ---------------------------------------------------------------
// Water Physics by Fatal Muffin
// ---------------------------------------------------------------

function velocityCheck(ent)
	speed = 0
	vel = ent:GetVelocity()
	if vel.x > 50 then 
		speed = 1 // --WATER IS MOVING SLOWLY
	end
	if vel.y > 50 then
		speed = 1
	end
	if vel.z > 50 then
		speed = 1
	end

	if vel.x < -50 then 
		speed = 1
	end
	if vel.y < -50 then
		speed = 1
	end
	if vel.z < -50 then
		speed = 1
	end
	return speed
end

function combineWater()
	if !SERVER then return end
	for a,first in pairs(ents.FindByClass("water_projectile")) do
		if first:GetNetworkedInt("Magnitude") < 4 && velocityCheck(first) == 0 && first:GetNetworkedInt("Marked") != 1 then
			for b,second in pairs(ents.FindInSphere(first:GetPos(),12)) do
				if second:GetClass() == "water_projectile" && second:GetNetworkedInt("Magnitude") < 4 && first != second && velocityCheck(second) == 0 then
					second:SetNetworkedInt("Marked",1)
					local num = second:GetNetworkedInt("Magnitude") + first:GetNetworkedInt("Magnitude")
					if num > 3 then
						num = 4
					end
					second:SetNetworkedInt("Magnitude",num)
					first:Remove()
				end
			end
		end
		if first:GetNetworkedInt("Marked") == 1 then
			first:SetNetworkedInt("Marked",0)
		end
	end
end
hook.Add("Think","combineWaterHook",combineWater)

function seperateWater()
	if !SERVER then return end
	for k,v in pairs(ents.FindByClass("water_projectile")) do	
		for _,ent in pairs( ents.FindInSphere( v:GetPos(), 12 * (v:GetNetworkedInt("Magnitude") / 2), 12 * (v:GetNetworkedInt("Magnitude") / 2) ) ) do
			if ent:GetClass() == "water_projectile" then
				local force = ent:GetPos() - v:GetPos()
				local phys = v:GetPhysicsObject()
				phys:ApplyForceCenter( force * (v:GetNetworkedInt("viscosity"))  )
			end
		end
	end		
	
	if !SERVER then return end
	for k,v in pairs(ents.FindByClass("water_projectile")) do	
		for _,ent in pairs( ents.FindInSphere( v:GetPos(), 12 * (v:GetNetworkedInt("Magnitude") / 2), 12 * (v:GetNetworkedInt("Magnitude") / 2) ) ) do
			if ent:GetClass() == "env_fire" then
				ent:Fire("extinguish 0.5", "")
			end
			if ent:GetClass() == "prop_physics" then
				ent:Extinguish()
			end
			if ent:GetClass() == "water_projectile" then
				ent:Extinguish()
			end
		end
	end		
end
timer.Create("seperateTimer", 0.1, 0, seperateWater)