

if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	
	SWEP.HoldType			= "ar2"
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "Fire Hose"			
	SWEP.Author				= "FatalMuffin"
	SWEP.Slot				= 3
	SWEP.SlotPos			= 1
	SWEP.IconLetter			= "b"
	
	killicon.AddFont( "weapon_ak47", "CSKillIcons", SWEP.IconLetter, Color( 255, 80, 0, 255 ) )
	
end

function SWEP:PrimaryAttack()
	local water = ents.Create("water_projectile")
	water:SetPos(self.Owner:GetShootPos() + self.Owner:GetAimVector() * 30)
	water:Spawn()
	water:GetTable().pl = self.Owner
	water:Fire("kill", "", 10)
	
	local phys = water:GetPhysicsObject()
	phys:ApplyForceCenter( self.Owner:GetAimVector() * 20000 )
	
	self.Weapon:SetNextPrimaryFire(CurTime() + 0.05)
end

function SWEP:SecondaryAttack()
	local water = ents.Create("water_projectile")
	water:SetPos(self.Owner:GetShootPos() + self.Owner:GetAimVector() * 30)
	water:Spawn()
	water:GetTable().pl = self.Owner
	
	local phys = water:GetPhysicsObject()
	phys:ApplyForceCenter( self.Owner:GetAimVector() * 20000 )
	
	self.Weapon:SetNextSecondaryFire(CurTime() + 0.05)
end

function SWEP:Reload()
	for k,v in pairs(ents.FindByClass("water_projectile")) do
		if v:GetTable().pl == self.Owner then
			v:Remove()
		end
	end
end

SWEP.Base				= "weapon_base"

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true

SWEP.ViewModel			= "models/weapons/v_rif_ak47.mdl"
SWEP.WorldModel			= "models/weapons/w_rif_ak47.mdl"

SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound( "Weapon_AK47.Single" )
SWEP.Primary.Recoil			= 1.5
SWEP.Primary.Damage			= 40
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.02
SWEP.Primary.ClipSize		= 25
SWEP.Primary.Delay			= 0.07
SWEP.Primary.DefaultClip	= 50
SWEP.Primary.Automatic		= true
SWEP.Primary.Ammo			= "none"

SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= true
SWEP.Secondary.Ammo			= "none"
